Subject: CVS commit: pkgsrc/archivers/py-zstandard
From: Adam Ciarcinski
Date: 2021-12-02 12:24:50
Message id: 20211202112450.82700FAEC@cvs.NetBSD.org

Log Message:
py-zstandard: updated to 0.16.0

0.16.0

Backwards Compatibility Notes

Support for Python 3.5 has been dropped. Python 3.6 is now the minimum required \ 
Python version.

Changes

Bundled zstd library upgraded from 1.4.8 to 1.5.0.
manylinux2014_aarch64 wheels are now being produced for CPython 3.6+.
Wheels are now being produced for CPython 3.10.
Arguments to ZstdCompressor() and ZstdDecompressor() are now all optional in the \ 
C backend and an explicit None value is accepted. Before, the C backend wouldn't \ 
accept an explicit None value (but the CFFI backend would). The new behavior \ 
should be consistent between the backends

Files:
RevisionActionfile
1.2modifypkgsrc/archivers/py-zstandard/patches/patch-c-ext_backend__c.c
1.21modifypkgsrc/archivers/py-zstandard/distinfo
1.20modifypkgsrc/archivers/py-zstandard/Makefile